gsm0808_cell_id Struct Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

Parsed representation of Cell Identifier IE (3GPP TS 48.008 3.2.2.17) More...

`#include <gsm0808_utils.h>`

## Data Fields

enum CELL_IDENT | id_discr
union gsm0808_cell_id_u | id

## Detailed Description

Parsed representation of Cell Identifier IE (3GPP TS 48.008 3.2.2.17)

## Field Documentation

## id

union gsm0808_cell_id_u gsm0808_cell_id::id

Referenced by gsm0808_cell_id_from_cgi(), gsm0808_cell_id_matches_list(), gsm0808_cell_id_name_buf(), gsm0808_cell_id_to_list(), gsm0808_cell_ids_match(), gsm0808_dec_cell_id(), and gsm0808_enc_cell_id().

## id_discr

enum CELL_IDENT gsm0808_cell_id::id_discr

Referenced by gsm0808_cell_id_from_cgi(), gsm0808_cell_id_matches_list(), gsm0808_cell_id_name_buf(), gsm0808_cell_id_to_list(), gsm0808_cell_ids_match(), gsm0808_dec_cell_id(), and gsm0808_enc_cell_id().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0808_utils.h